package com.ruoyi.sensor.enums;

import java.util.stream.Stream;

public enum PrintColor {

    red("red", "255000000"),
    yellow("yellow", "255255000"),
    green("green", "000255000");

    private final String colorName;
    private final String colourBitStr;

    PrintColor(String colorName, String colourBitStr) {
        this.colorName = colorName;
        this.colourBitStr = colourBitStr;
    }

    public static String getBitColor(String colorName) {
        return Stream.of(PrintColor.values())
                .filter(fontColor -> fontColor.colorName.equals(colorName))
                .map(fontColor -> fontColor.colourBitStr)
                .findFirst()
                .orElse(null);
    }
}
